Bug 13474 - Incorrect talloc_stackframe handling in python ACL test code (make_simple_acl).
Incorrect talloc_stackframe handling in python ACL test code (make_simple_acl).
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Python
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-14 17:35 UTC by Jeremy Allison
Modified: 2018-07-26 04:40 UTC (History)
3 users (show)

See Also:


Attachments
git-am fix for 4.8.next, 4.7.next (3.70 KB, patch)
2018-06-14 21:15 UTC, Jeremy Allison
metze: review+
slow: review+
Details
Additional git-am fix for 4.8.next, 4.7.next. (763 bytes, patch)
2018-07-11 22:24 UTC, Jeremy Allison
jra: review? (slow)
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2018-06-14 17:35:55 UTC
Patch to follow.
Comment 1 Jeremy Allison 2018-06-14 21:15:24 UTC
Created attachment 14235 [details]
git-am fix for 4.8.next, 4.7.next

Master will fix this separately as part of the impersonation patchsets.
Comment 2 Stefan Metzmacher 2018-06-18 07:56:05 UTC
Comment on attachment 14235 [details]
git-am fix for 4.8.next, 4.7.next

Karolin please add something like this to the commit message:

Reviewed-by: Stefan Metzmacher <metze@samba.org>

This was fixed differently by commit
539f51f0dfbe4ce317a2978982fd0fc9a7fd6922 in master.
Comment 3 Karolin Seeger 2018-06-19 11:10:10 UTC
Pushed to autobuild-v4-[8,7]-test.
Comment 4 Timur Bakeyev 2018-06-25 02:10:21 UTC
I guess I'm missing something, so can someone explain, why in `py_smbd_set_simple_acl()` we have:

        acl = make_simple_acl(frame, gid, mode);
        if (acl == NULL) {
                TALLOC_FREE(frame);
                return NULL;
        }

        conn = get_conn(frame, service);
        if (!conn) {
                return NULL;
        }

I.e. we don't do `TALLOC_FREE(frame)` in case we don't get proper conn?
Comment 5 Karolin Seeger 2018-06-25 10:52:05 UTC
(In reply to Timur Bakeyev from comment #4)
If I got him right, Volker said that Timur is correct here. Re-assigning to Jeremy for an additional patch. Leaving this one in the release branches as it's not introduced by this patch.
Comment 6 Jeremy Allison 2018-07-11 22:24:51 UTC
Created attachment 14321 [details]
Additional git-am fix for 4.8.next, 4.7.next.
Comment 7 Karolin Seeger 2018-07-12 10:58:21 UTC
(In reply to Jeremy Allison from comment #6)
Thanks, Jeremy!
Pushed additional patch to autobuild-v4-[8,7]-test.
Comment 8 Karolin Seeger 2018-07-26 04:40:43 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to both branches.
Closing out bug report.

Thanks!